<?php ?>


<div class="navbar greynav">
    <div class="container-fluid narrow-nav">
        <div class="navbar-header">

            <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar"
                    aria-expanded="false" aria-controls="navbar">
                <span class="sr-only">Toggle navigation</span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>

            <?php if ($this->isHere("home", "index")): ?>
                <span class="navbar-brand cdl-navbar-logo ">
                    <?= "<h1 class = 'cdl-navbar-logo'> ". $this->Html->image(
                        "logos/Logo_Comptoir_h35px_kraken.png",
                        ["alt" => __d("ElementNavigation", "Comptoir du libre")]) . "</h1>"?>
                </span>
            <?php elseif ($this->request->here != $this->request->base): ?>
                <span class="navbar-brand cdl-navbar-logo-link ">
                    <?=  $this->Html->link(
                        $this->Html->image("logos/Logo_Comptoir_h35px_kraken.png",
                        ["alt" => __d("ElementNavigation", "Comptoir du libre - back home")]),
                    ['controller' => 'Home', 'action' => 'index'],
                    ['escape' => false, "class" => ""]) ?>
                </span>

            <?php endif; ?>
        </div>

        <!-- /!\ without id = no button working -->
        <div id="navbar" class="navbar-collapse collapse">
            <nav role = "navigation">

                <?php // ===== dropdown menu ======================================================================== ?>
                <ul class="nav navbar-nav">
                    <?php if ($this->isHere("Softwares")): ?>
                    <li class="current">
                    <strong class="navbar-text text-center"><?= __d("ElementNavigation", "All softwares") ?></strong>
                    <?php elseif (!$this->request->isHere("Softwares")): ?>
                        <li class="">
                            <?= $this->Html->link(__d("ElementNavigation", "All softwares"),
                                ['controller' => 'Softwares', 'action' => 'index'],
                                ['escape' => false]) ?>
                            <?php endif; ?>
                        </li>
                        <?php if ( $this->isHere("Users")
                        || $this->isHere("Users",'providers')
                        || $this->isHere("Users",'administrations')
                        || $this->isHere("Users",'nonProfitUsers')
                        ): ?>
                    <li class="current">
                        <?= $this->Html->link(__d("ElementNavigation", "All users").'<span class ="caret"></span>',
                            ['controller' => 'Users', 'action' => 'index',],
                            [
                                'escape' => false,
                                "role"=>"button",
    //                            "class" => "btn",
                            ]
                        ) ?>

                    <?php elseif (!$this->isHere("Users")): ?>

                    <li class="">
                        <?= $this->Html->link(__d("ElementNavigation", "All users").'<span class ="caret"> </span>',
                            ['controller' => 'Users', 'action' => 'index',],
                            [
                                'escape' => false,
                                "role"=>"button",
//                                "class" => "btn",
                            ]
                        ) ?>
                        <?php endif; ?>
                        <ul class="">
                            <?php if ($this->isHere("Users", "administrations")): ?>
                            <li class="current">
                                <span class="navbar-text text-center"><?= __d("ElementNavigation", "Administrations") ?></span>
                            <?php elseif (!$this->request->isHere("Users", "administrations")): ?>
                                <li class="">
                                    <?= $this->Html->link(__d("ElementNavigation", "Administrations"),
                                        ['controller' => 'Users', 'action' => 'administrations'],
                                        ['escape' => false]) ?>
                                    <?php endif; ?>
                            </li>
                                <?php if ($this->isHere("Users", "providers")): ?>
                            <li class="current">
                                <span class="navbar-text text-center"><?= __d("ElementNavigation", "Services providers") ?></span>
                            <?php elseif (!$this->request->isHere("Users", "providers")): ?>
                            <li class="">
                                <?= $this->Html->link(__d("ElementNavigation", "Services providers"),
                                    ['controller' => 'Users', 'action' => 'providers'],
                                    ['escape' => false]) ?>
                                <?php endif; ?>
                            </li>
                            <?php if ($this->isHere("Users", "nonProfitUsers")): ?>
                            <li class="current">
                                <span class="navbar-text text-center"><?= __d("ElementNavigation", "Non profit users") ?></span>
                                <?php elseif (!$this->request->isHere("Users", "non-profit-users")): ?>
                            <li class="">
                                <?= $this->Html->link(__d("ElementNavigation", "Non profit users"),
                                    ['controller' => 'Users', 'action' => 'nonProfitUsers'],
                                    ['escape' => false]) ?>
                                <?php endif; ?>
                            </li>

                        </ul>
                    </li>


                    <li class = "">
                        <?= $this->Form->create(null, ['url' => ['controller' => 'Pages', 'action' => 'search'], 'class' => "navbar-form navbar-right ", 'title' => __d("Forms","Search for softwares and users")]) ?>
                        <div class="form-group">
                            <?= $this->Form->input('limit', ['label' => 'Nombre de résultats', 'value' => 50, 'type' => 'hidden']) ?>
                        </div>
                        <div class="form-group">
                            <?= $this->Form->input('offset', ['label' => 'Décallage', 'value' => 0, 'type' => 'hidden']) ?>
                        </div>

                        <form class="navbar-form" role="search">
                            <div class="input-group">
                                <?= $this->Form->input('search', [
                                    'title'=>'search',
                                    'label' => false,
                                    "type"=>"text",
                                    "maxLength"=>64,
                                    "class"=>"form-control"]) ?>
                                <div class="input-group-btn">
                                    <?= $this->Form->button(__d("ElementNavigation", "Search"), ['class' => 'btn btn-default submit-form search']) ?>
                                </div>
                            </div>
                        </form>

                        <?= $this->Form->end() ?>
                    </li>
                </ul>

                <?php // ===== lang + auth + search ================================================================= ?>
                <?php if (!$this->request->session()->read('Auth.User.username')) : ?>
                <ul class = " nav navbar-nav navbar-right rightMenu">



                    <?php foreach($availableLanguages as $lang => $alias): ?>
                        <?php if ($alias === $selectedLanguage) continue; ?>
                        <?php $pass = $this->request->param('pass') ?>
                        <li>
                            <?= $this->Html->link(ucfirst($explicitLanguages[$lang]), [
                                'language' => $lang,
                                'controller' => $this->request->param('controller'),
                                'action' => $this->request->param('action'),
                                isset($pass[0]) ? $pass[0] : null
                            ],["lang"=>$lang, "title"=> __d("Pages","menu.switch")])?>
                        </li>
                    <?php endforeach; ?>
                    <li>
                        <?= $this->Html->link(__d("Layout", "Sign up"),
                            ['controller' => 'Users', 'action' => 'add'],
                            [
//                                'class'=>"btn btn-default",
                                'escape' => false]) ?>
                    </li>
                    <li>
                        <?= $this->Html->link(__d("Layout", "Sign in"),
                            ['controller' => 'Users', 'action' => 'login'],
                            [
//                                'class'=>"btn btn-default",
                                'escape' => false]) ?>
                    </li>
                    <?php elseif ($this->request->session()->read('Auth.User.username')) : ?>
                    <ul class = "nav navbar-nav navbar-right">
                        <?php foreach($availableLanguages as $lang => $alias): ?>
                        <?php if ($alias === $selectedLanguage) continue; ?>
                        <?php $pass = $this->request->param('pass') ?>
                        <li>
                            <?= $this->Html->link(ucfirst($explicitLanguages[$lang]), [
                                'language' => $lang,
                                'controller' => $this->request->param('controller'),
                                'action' => $this->request->param('action'),
                                isset($pass[0]) ? $pass[0] : null
                            ],["lang"=>$lang, "title"=> __d("Pages","menu.switch")])?>
                        </li>
                        <?php endforeach; ?>
                        <li class="">
                            <?= $this->Html->link($this->request->session()->read('Auth.User.username').'<span class ="caret"></span>',
                                "#",
                                [
//                                    'class'=>"btn btn-default",
                                    'escape' => false]) ?>
                            <ul class = "">
                                <li class = "">
                                    <?= $this->Html->link(
                                        __d("Layout","Profile setting"),
                                        ['controller' => 'Users', 'action' => 'edit',$this->request->session()->read('Auth.User.id')],
                                        ['class'=>"",'escape' => false]) ?>
                                </li>
                                <li class = "__item">
                                    <?= $this->Html->link(__d("Layout", "Logout"),
                                        ['controller' => 'Users', 'action' => 'logout'],
                                        ['class'=>"",'escape' => false]) ?>
                                </li>
                            </ul>
                        </li>

                        <?php endif; ?>


                    </ul>
            </nav>
        </div>
    </div>

</div>